#define STDC_HEADERS
#define HAVE_UNISTD_H
#include <qlist.h>
#include <qstring.h>
#include <qdir.h>
#include <qapp.h>
#include <kfm.h>
#include <kapp.h>
#include <qlabel.h>
#include <ktopwidget.h>
#include <kurl.h>
                 
class Hello : public KTopLevelWidget 
{
  Q_OBJECT
public:
  Hello( QWidget *parent = 0, const char *name = 0);
  setString(const char *string);
  const char *getString(void);
  void showSize(const char *file, const char *name);
  void getFile(QString name);
 public slots: 
  void dropEvent( KDNDDropZone *dropZone );
  void slotKFMJobDone();
private:
  QLabel *label;
  KDNDDropZone *dropZone;
  KFM *kfmConnection;
  const char *url;
} ;
